Bug 1745189 - add python3 support for hardened uefi images
Summary: add python3 support for hardened uefi images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-common
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 15.0 (Stein)
Assignee: Bob Fournier
QA Contact: mlammon
URL:
Whiteboard: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-23 20:02 UTC by Bob Fournier
Modified: 2019-10-28 08:11 UTC (History)
7 users (show)

Fixed In Version: openstack-tripleo-common-10.8.1-0.20190831030439.300785c.el8ost
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:24:25 UTC
Target Upstream Version:


Attachments (Terms of Use)
/etc/os-release (31.27 KB, image/png)
2019-09-05 02:29 UTC, Bob Fournier
no flags Details


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 679498 0 None MERGED Add python3 file for additional images 2020-12-03 07:59:20 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:25:00 UTC

Description Bob Fournier 2019-08-23 20:02:16 UTC
Description of problem:

In order to build a whole disk image for uefi for RHEL 8, python3 packages need to be included and DIB_VERSION must be set to 3.

Comment 5 Bob Fournier 2019-09-05 02:29:46 UTC
Created attachment 1611745 [details]
/etc/os-release

Comment 6 Bob Fournier 2019-09-05 10:10:34 UTC
Looks like it is this RHEL 8 issue - https://bugzilla.redhat.com/show_bug.cgi?id=1678634.  From https://bugzilla.redhat.com/show_bug.cgi?id=1678634#c6 suggests removing grub2-efi-x64.

Comment 7 Bob Fournier 2019-09-05 10:27:29 UTC
Grub issue in RHEL is tracked here https://bugzilla.redhat.com/show_bug.cgi?id=1680572, and it looks like there is a fix available in 8.1 - grub2-2.02-74, RHEL-8.1.0-20190701.0.

What I recommend is:
- close this bug as Verified since this bug was for creating the the UEFI whole disk image which does work now
- I'll create a new bug tracking this "Failed to switch root:..." issue with a dependency on the RHEL bug and the grub fix being available in RHEL 8.1.

Comment 8 Bob Fournier 2019-09-05 10:48:35 UTC
Added https://bugzilla.redhat.com/show_bug.cgi?id=1749310 to track the RHEL issue.

Comment 9 mlammon 2019-09-05 13:32:59 UTC
Env:
openstack-tripleo-common-10.8.1-0.20190831030439.300785c.el8ost.noarch

Agreed and we do see successful image now being built so we can now move to verify this bug.

Comment 14 errata-xmlrpc 2019-09-21 11:24:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.